org.springframework.web.socket.config.annotation

## Class AbstractWebSocketMessageBrokerConfigurer

- java.lang.Object
- - org.springframework.web.socket.config.annotation.AbstractWebSocketMessageBrokerConfigurer

All Implemented Interfaces:
  WebSocketMessageBrokerConfigurer

Deprecated.
as of 5.0 in favor of simply using `WebSocketMessageBrokerConfigurer` which has default methods, made possible by a Java 8 baseline.

    @Deprecated
    public abstract class AbstractWebSocketMessageBrokerConfigurer
    extends Object
    implements WebSocketMessageBrokerConfigurer

A convenient abstract base class for `WebSocketMessageBrokerConfigurer` implementations providing empty method implementations for optional methods.

Since:
  4.0.1
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`AbstractWebSocketMessageBrokerConfigurer()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addArgumentResolvers(List<org.springframework.messaging.handler.invocation.HandlerMethodArgumentResolver> argumentResolvers)` Deprecated. Add resolvers to support custom controller method argument types.
`void` `addReturnValueHandlers(List<org.springframework.messaging.handler.invocation.HandlerMethodReturnValueHandler> returnValueHandlers)` Deprecated. Add handlers to support custom controller method return value types.
`void` `configureClientInboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)` Deprecated. Configure the `MessageChannel` used for incoming messages from WebSocket clients.
`void` `configureClientOutboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)` Deprecated. Configure the `MessageChannel` used for outbound messages to WebSocket clients.
`void` `configureMessageBroker(org.springframework.messaging.simp.config.MessageBrokerRegistry registry)` Deprecated. Configure message broker options.
`boolean` `configureMessageConverters(List<org.springframework.messaging.converter.MessageConverter> messageConverters)` Deprecated. Configure the message converters to use when extracting the payload of messages in annotated methods and when sending messages (e.g.
`void` `configureWebSocketTransport(WebSocketTransportRegistration registration)` Deprecated. Configure options related to the processing of messages received from and sent to WebSocket clients.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.socket.config.annotation.WebSocketMessageBrokerConfigurer

`registerStompEndpoints`

### Constructor Detail

#### AbstractWebSocketMessageBrokerConfigurer

    public AbstractWebSocketMessageBrokerConfigurer()

Deprecated.

### Method Detail

#### configureWebSocketTransport

    public void configureWebSocketTransport(WebSocketTransportRegistration registration)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Configure options related to the processing of messages received from and sent to WebSocket clients.

Specified by:
  `configureWebSocketTransport` in interface `WebSocketMessageBrokerConfigurer`

#### configureClientInboundChannel

    public void configureClientInboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Configure the `MessageChannel` used for incoming messages from WebSocket clients. By default the channel is backed by a thread pool of size 1. It is recommended to customize thread pool settings for production use.

Specified by:
  `configureClientInboundChannel` in interface `WebSocketMessageBrokerConfigurer`

#### configureClientOutboundChannel

    public void configureClientOutboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Configure the `MessageChannel` used for outbound messages to WebSocket clients. By default the channel is backed by a thread pool of size 1. It is recommended to customize thread pool settings for production use.

Specified by:
  `configureClientOutboundChannel` in interface `WebSocketMessageBrokerConfigurer`

#### configureMessageConverters

    public boolean configureMessageConverters(List<org.springframework.messaging.converter.MessageConverter> messageConverters)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Configure the message converters to use when extracting the payload of messages in annotated methods and when sending messages (e.g. through the "broker" SimpMessagingTemplate).

The provided list, initially empty, can be used to add message converters while the boolean return value is used to determine if default message should be added as well.

Specified by:
  `configureMessageConverters` in interface `WebSocketMessageBrokerConfigurer`
Parameters:
  `messageConverters` - the converters to configure (initially an empty list)
Returns:
  whether to also add default converter or not

#### addArgumentResolvers

    public void addArgumentResolvers(List<org.springframework.messaging.handler.invocation.HandlerMethodArgumentResolver> argumentResolvers)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Add resolvers to support custom controller method argument types.

This does not override the built-in support for resolving handler method arguments. To customize the built-in support for argument resolution, configure `SimpAnnotationMethodMessageHandler` directly.

Specified by:
  `addArgumentResolvers` in interface `WebSocketMessageBrokerConfigurer`
Parameters:
  `argumentResolvers` - the resolvers to register (initially an empty list)

#### addReturnValueHandlers

    public void addReturnValueHandlers(List<org.springframework.messaging.handler.invocation.HandlerMethodReturnValueHandler> returnValueHandlers)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Add handlers to support custom controller method return value types.

Using this option does not override the built-in support for handling return values. To customize the built-in support for handling return values, configure `SimpAnnotationMethodMessageHandler` directly.

Specified by:
  `addReturnValueHandlers` in interface `WebSocketMessageBrokerConfigurer`
Parameters:
  `returnValueHandlers` - the handlers to register (initially an empty list)

#### configureMessageBroker

    public void configureMessageBroker(org.springframework.messaging.simp.config.MessageBrokerRegistry registry)

Deprecated.
Description copied from interface: `WebSocketMessageBrokerConfigurer`
Configure message broker options.

Specified by:
  `configureMessageBroker` in interface `WebSocketMessageBrokerConfigurer`